Fetch charging key orders
curl --request GET \
--url https://{environment}.plugsurfing.com/emp/v1/orders \
--header 'X-API-Key: <api-key>'import requests
url = "https://{environment}.plugsurfing.com/emp/v1/orders"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{environment}.plugsurfing.com/emp/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.plugsurfing.com/emp/v1/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.plugsurfing.com/emp/v1/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.plugsurfing.com/emp/v1/orders")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.plugsurfing.com/emp/v1/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"products": [
{
"id": "aYnky297eG",
"address": {
"country": "Austria",
"additionalInformation": "test test",
"firstName": "Frans",
"lastName": "Anderson",
"city": "Wistful Vista",
"postalCode": "85960",
"companyName": "Low area Corp.",
"addressLine1": "First Way 261b",
"addressLine2": "Suite 9"
},
"quantity": 1,
"language": "en",
"product": {
"id": "Am07b6Q7JZ"
},
"created": "2023-06-26T10:00:00Z",
"organizationId": "JoEl1xoP7r",
"status": "ORDER_PAID",
"updated": "2023-06-26T12:00:00Z",
"printing": {
"variables": {
"driverName": "Frans Anderson"
},
"color": "WHITE"
}
}
],
"cursor": "DnF1ZXJ5VGhlbkZldGNoBQAAAAAACz-bFmYwRDVpbkhzUzNxaXMxU3JZV0dFNGcAAAAAAAs"
}{
"message": "An unexpected error occurred."
}EMP Orders
Fetch charging key orders
Returns a list of charging key orders belonging to supported organizations.
GET
/
emp
/
v1
/
orders
Fetch charging key orders
curl --request GET \
--url https://{environment}.plugsurfing.com/emp/v1/orders \
--header 'X-API-Key: <api-key>'import requests
url = "https://{environment}.plugsurfing.com/emp/v1/orders"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{environment}.plugsurfing.com/emp/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.plugsurfing.com/emp/v1/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.plugsurfing.com/emp/v1/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.plugsurfing.com/emp/v1/orders")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.plugsurfing.com/emp/v1/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"products": [
{
"id": "aYnky297eG",
"address": {
"country": "Austria",
"additionalInformation": "test test",
"firstName": "Frans",
"lastName": "Anderson",
"city": "Wistful Vista",
"postalCode": "85960",
"companyName": "Low area Corp.",
"addressLine1": "First Way 261b",
"addressLine2": "Suite 9"
},
"quantity": 1,
"language": "en",
"product": {
"id": "Am07b6Q7JZ"
},
"created": "2023-06-26T10:00:00Z",
"organizationId": "JoEl1xoP7r",
"status": "ORDER_PAID",
"updated": "2023-06-26T12:00:00Z",
"printing": {
"variables": {
"driverName": "Frans Anderson"
},
"color": "WHITE"
}
}
],
"cursor": "DnF1ZXJ5VGhlbkZldGNoBQAAAAAACz-bFmYwRDVpbkhzUzNxaXMxU3JZV0dFNGcAAAAAAAs"
}{
"message": "An unexpected error occurred."
}Authorizations
API key for authentication
Query Parameters
Created orders from date
Pattern:
YYYY-MM-DDCreated orders to date
Pattern:
YYYY-MM-DDOrder status ORDER_PAID -> orders ready to be fulfilled
Available options:
WAITING_FOR_ORDER, ORDER_PLACED, ORDER_PROCESSING, ORDER_ASSIGNED, ORDER_PAID, ORDER_CANCELLED, ORDER_CANCELLING, ORDER_PAYMENT_FAILED, ORDER_REFUND_FAILED, ORDER_WAITING_REFUND, ORDER_REFUNDED, PAYMENT_ONGOING, ORDER_FILLED, ORDER_PAYED, PREPARE_RECEIPT, ORDER_PAYED_WITHOUT_RECEIPT Example:
"ORDER_PAID"
Orders per page
Example:
100
Cursor for pagination